Omniverse kit Start Failure

Hello,
when trying to launch the omniverse kit (“2020.2.28460-5821935a-release”), I receive the following error.

Is this simply related to my graphics card or are they any other issues?

Thank you.
Matthias


[Info] [carb] Logging to file: C:/ProgramData/NVIDIA Corporation/Omniverse/data/Kit/kit-default/2020.2.28460/omniverse-kit.log
2020-12-14 16:05:11 [102ms] [Warning] [omni.kit.app.plugin] [Graphics API] DX12

[0.371s] [ext: omni.timeline-0.1.0] startup
[0.440s] [ext: omni.kit.async_engine-0.1.0] startup
[0.529s] [ext: omni.assets-0.1.0] startup
[0.533s] [ext: omni.kit.test-0.1.0] startup
[0.562s] [ext: omni.usd-0.1.0] startup
[0.807s] [ext: omni.client-0.1.0] startup
2020-12-14 16:05:11 [664ms] [Warning] [carb] Acquiring non optional plugin interface which is not listed as dependency: [carb::tokens::ITokens v0.1] (plugin: (null)), by client: omni.client.plugin. Add it to CARB_PLUGIN_IMPL_DEPS() macro of a client.
[0.833s] [ext: omni.kit.registry.nucleus-0.1] startup
[0.850s] [ext: omni.kit.pipapi-0.1.0] startup
[0.976s] [ext: omni.stats-0.1.0] startup
[0.987s] [ext: omni.graph.tools-1.0.0] startup
[0.994s] [ext: omni.kit.pip_archive-0.1] startup
[1.023s] [ext: omni.appwindow-0.1.0] startup
[1.172s] [ext: omni.ui-1.0.0] startup
[1.205s] [ext: omni.kit.commands-0.1] startup
[1.225s] [ext: omni.ansel-0.1.0] startup
[1.234s] [ext: omni.kit.selection-0.1] startup
[1.388s] [ext: omni.renderer-0.1.0-rtx] startup
[1.390s] [ext: omni.kit.editor-0.1.0-full] startup
2020-12-14 16:05:13 [2,261ms] [Warning] [carb.graphics-direct3d.plugin] Failed to initialize NGX.

|---------------------------------------------------------------------------------------|
| Driver Version: 457.30
|=======================================================================================|
| GPU | Name | Active | GPU Memory | Vendor-ID | LUID |
| | | | | Device-ID | UUID |
|---------------------------------------------------------------------------------------|
| 0 | NVIDIA GeForce GTX 1070 Ti | Yes | 8079 MB | 10de | d9cb2000… |
| | | | | 1b82 | 0 |
|---------------------------------------------------------------------------------------|
| 1 | Intel® HD Graphics P530 | | 128 MB | 8086 | 16e80000… |
| | | | | 191d | 0 |
|---------------------------------------------------------------------------------------|
| 2 | NVIDIA Quadro M2000M | | 4053 MB | 10de | 1716c000… |
| | | | | 13b0 | 0 |
|=======================================================================================|
| Processor: Intel® Xeon® CPU E3-1505M v5 @ 2.80GHz | Cores: 4 | Logical: 8
|---------------------------------------------------------------------------------------|
| Total Memory (MB): 16238 | Free Memory: 5950
| Total Page/Swap (MB): 38766 | Free Page/Swap: 19377
|---------------------------------------------------------------------------------------|
2020-12-14 16:05:14 [3,629ms] [Warning] [rtx.shaderdb.plugin] The file ‘c:/users/mhelmrei/omniverse/kit/2020.2.28460-5821935a-release/_build/shaders/rtx/scenedb/SparseMemCopy.compute.hlsl’ does not exist.
2020-12-14 16:05:14 [3,630ms] [Error] [rtx.shaderdb.plugin] Cannot load shader file ‘rtx/scenedb/SparseMemCopy.compute.hlsl’.
2020-12-14 16:05:14 [3,633ms] [Error] [rtx.scenedb.plugin] rtx::scenedb::createContext error: Failed to initialize rtx::scenedb::Context
2020-12-14 16:05:14 [3,749ms] [Error] [carb.scenerenderer-rtx.plugin] Failed to create rtx::scenedb::Context.
2020-12-14 16:05:14 [3,751ms] [Warning] [carb.scenerenderer-mux.plugin] Failed to create context for scene renderer ‘rtx’.
2020-12-14 16:05:14 [3,752ms] [Error] [carb.scenerenderer-mux.plugin] No carb::scenerenderer::SceneRenderer was found.
2020-12-14 16:05:14 [3,753ms] [Error] [omni.kit.plugin] Failed to acquire carb::scenerenderer::SceneRenderer

Matthias -Omniverse Kit requires a RTX card. You have a GTX 1070, so this will not work.
The following are the requirements for Windows based Omniverse.
Note: same hardware reqs for Linux too.

Hello mirice. Thank you for the quick reply. I ordered now this graphic card as your previous (7 days ago) recommendations indicated a RTX 2070.

Will this graphic card still work? Gigabyte GeForce RTX 3070 Eagle OC 8GB

Thank you.
Matthias

Matthias -
The Omniverse platform is approaching a planned release update that will rename the “Kit” application to “Create”. Create will retain the vast majority of the functions present in Kit and will add new and improved features/UI, etc. Create will support RTX 30 series graphics cards with specific driver versions. Thus the RTX 3070 you have purchased will be supported.

At the moment you are using Omniverse Kit from the EAP distribution. I will get back to you concerning the ability to use a 30 series card with that EAP release.

I cannot comment on exactly when the next release of Omniverse will be available for you to download. But stay tuned to the announcement topic in the developer forum.

Mike

Hi @helmreich

We support the following cards with Direct X and Vulkan.

Thank you for checking out Omniverse.
@fpliu

Hello, so i purchased the Gigabyte GeForce RTX 3070 Eagle OC 8GB, . I installed

omniverse-workstation-installer-2020.2.4696.exe
omniverse-aec-experience-installer-2020.2.1171-release.exe

Kit starts up fine. Launching Omniverse View (View 2020.2.1352) crashes though.

What am I missing?

Thank you. Matthias

Hi Matthais,

You need to move View 2020.3 which is now available via the Omniverse Launcher. This version supports the Ampere cards like the Geforce 3070.

Link to get the Launcher starts here - https://www.nvidia.com/en-us/design-visualization/omniverse/?nvid=nv-int-cwmfg-36266#cid=_nv-int-cwmfg_en-us

Brian

solved that issue. thx

My omniverse kit is unable to start. Create, View and other apps works fine, but not the kit. Below is the error log:

|---------------------------------------------------------------------------------------------|
| Driver Version: 460.89 | Graphics API: D3D12
|=============================================================================================|
| GPU | Name                             | Active | LDA | GPU Memory | Vendor-ID | LUID       |
|     |                                  |        |     |            | Device-ID | UUID       |
|---------------------------------------------------------------------------------------------|
| 0   | NVIDIA Quadro RTX 6000           | Yes    |     | 24276   MB | 10de      | 12a5c000.. |
|     |                                  |        |     |            | 1e30      | 0          |
|=============================================================================================|
| OS: Windows, Version: 10.0 (20H2), Build: 19042
| Processor: Intel(R) Xeon(R) Silver 4215 CPU @ 2.50GHz | Cores: 16 | Logical: 32
|---------------------------------------------------------------------------------------------|
| Total Memory (MB): 1047194 | Free Memory: 1029558
| Total Page/Swap (MB): 1098394 | Free Page/Swap: 1078118
|---------------------------------------------------------------------------------------------|

2021-01-13 10:00:05 [4,005ms] [Info] [carb] Registered plugin: omni.kit.script_editor_window.plugin (interfaces: [omni::ext::IExt v0.1]) (impl: omni.kit.script_editor_window.plugin)
2021-01-13 10:00:05 [4,006ms] [Info] [carb] Initializing plugin: omni.kit.script_editor_window.plugin (interfaces: [omni::ext::IExt v0.1]) (impl: omni.kit.script_editor_window.plugin)
2021-01-13 10:00:05 [4,006ms] [Info] [omni.ext.plugin] [ext: omni.kit.window.script_editor-1.5.0] Starting ext::IExt in 'c:/users/sysgen/appdata/local/ov/pkg/kit 100.1.0/_exts/omni.kit.window.script_editor/bin/omni.ext-script_editor_window.plugin.dll'
2021-01-13 10:00:05 [4,006ms] [Info] [omni.ext.plugin] About to startup: [ext: omni.kit.welcome-1.0.0] (order: 100) Triggered by: omni.app.welcome-0.1.0
2021-01-13 10:00:05 [4,006ms] [Info] [omni.kit.app.plugin] [4.134s] [ext: omni.kit.welcome-1.0.0] startup
2021-01-13 10:00:05 [4,041ms] [Info] [omni.ext.plugin] About to startup: [ext: omni.app.welcome-0.1.0] (order: 0) Triggered by API/CLI/Config.
2021-01-13 10:00:05 [4,041ms] [Info] [omni.kit.app.plugin] [4.168s] [ext: omni.app.welcome-0.1.0] startup
2021-01-13 10:00:05 [4,041ms] [Info] [omni.kit.app.plugin] [4.169s] app started
2021-01-13 10:00:05 [4,041ms] [Info] [carb] Initializing plugin: carb.messaging-omniclient.plugin (interfaces: [carb::messaging::IMessaging v0.3]) (impl: carb.messaging-omniclient.plugin)
2021-01-13 10:00:06 [4,094ms] [Warning] [omni.ui.python] [deprecated] subscribe_item_changed_fn is deprecated. Please use subscribe_value_changed_fn
2021-01-13 10:00:06 [4,242ms] [Info] [omni.ext.plugin] Enabling registry extension...
2021-01-13 10:00:06 [4,249ms] [Info] [omni.ext.plugin] [ext: omni.kit.registry.nucleus-0.0.0] applying settings
2021-01-13 10:00:06 [4,249ms] [Info] [omni.ext.plugin] About to startup: [ext: omni.kit.registry.nucleus-0.0.0] (order: -1000) Triggered by API/CLI/Config.
2021-01-13 10:00:06 [4,250ms] [Info] [omni.kit.app.plugin] [4.377s] [ext: omni.kit.registry.nucleus-0.0.0] startup
2021-01-13 10:00:06 [4,277ms] [Info] [carb.settings.python] ISettings.get(...) was called on element that has no value (from python). Use set_default(...) before to set default value. (path = '/app/extensions/skipPublishVerification')
2021-01-13 10:00:06 [4,277ms] [Info] [carb.python] [omni.kit.registry.nucleus]: index url: omniverse://ov-sandbox/NVIDIA-Staging/Extensions/2
2021-01-13 10:00:06 [4,307ms] [Info] [carb.python] [omni.kit.registry.nucleus]: refresh_index() -> started.
2021-01-13 10:00:07 [5,152ms] [Info] [carb.python] [omni.kit.registry.nucleus]: (syncing index (async)) copying: omniverse://ov-sandbox/NVIDIA-Staging/Extensions/2/index.toml -> C:\Users\sysgen\AppData\Local\Temp\tmpdsp6idjh/index.toml
2021-01-13 10:00:07 [5,155ms] [Info] [omni.client.plugin]  Main: provider_nucleus: Initialized Nucleus API v11.2-f09ed3e2
2021-01-13 10:00:07 [5,156ms] [Info] [omni.client.plugin]  Tick: provider_nucleus: Starting authentication for ov-sandbox:3009
2021-01-13 10:00:13 [12,014ms] [Info] [omni.client.plugin]  Tick: authentication: Discovery(ws://ov-sandbox:3333): Create transport failed: 
2021-01-13 10:00:13 [12,014ms] [Warning] [omni.client.plugin]  Tick: authentication: Could not resolve host name "ov-sandbox"
2021-01-13 10:00:13 [12,014ms] [Info] [omni.client.plugin]  Tick: provider_nucleus: Connecting to ov-sandbox:3009 as sysgen using old authentication method
2021-01-13 10:00:16 [14,310ms] [Info] [omni.client.plugin]  Tick: provider_nucleus: Connecting to ov-sandbox:3009 failed: Connection refused
2021-01-13 10:00:16 [14,312ms] [Info] [carb.python] [omni.kit.registry.nucleus]: result: Result.ERROR_CONNECTION
2021-01-13 10:00:16 [14,313ms] [Error] [carb.python] [omni.kit.registry.nucleus]: syncing index failed. Result: Result.ERROR_CONNECTION
2021-01-13 10:00:16 [14,313ms] [Info] [carb.python] [omni.kit.registry.nucleus]: refresh_index() -> failure.

@egamor18 -
When you say it is unable to start, does this mean the the application crashes? window disappears?
or that nothing is shown in that applicaiton

If the application has not crashed, can you screen shot what you see?

Please see below the screenshot. When I launched kit, I expected to see a page similar to create as shown in the nvidia post walk through video at: https://docs.omniverse.nvidia.com/plat_omniverse/plat_omniverse/workstation_installation.html .
Attached is the page that I see. What could be missing? One difference I noticed is the kit versions.

@egamor18 -
What you are seeing is exactly correct. The documentation page you referenced was for the Omniverse platform prior to the open beta release using Launcher. Previously the Omniverse platform used a an application called “Kit” to view/edit assets. With open beta and launcher, the Kit application has changed its name to “Create”. This is the application that you have used and is working.

In the Launcher window you see a “Kit” under development tools. This is simply the lower layers of Omniverse that one can use to build new applications or execute existing extensions in a standalone environment. See below link

We are sorry for the confusion in terms of the names and existing documentation. Will raise a case to clear up this documentation

Thank you for the prompt response.